#!/bin/bash

mysql -uroot -pyour_mysql_root_password mysql <<EOF
INSERT INTO db VALUES ('%','sudoku','sudoku','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y');
INSERT INTO user VALUES ('localhost','sudoku',password('sudoku'),'N','N','N','N','N','N','N','N','N','N','N','N','N','N');
EOF

mysqladmin -uroot -pyour_mysql_root_password reload
mysqladmin -usudoku -psudoku -f drop sudoku 
mysqladmin -usudoku -psudoku create sudoku 

mysql -usudoku -psudoku sudoku <<EOF

create table sudoku
(
  serial int not null auto_increment,
  inserted timestamp not null,
  nx int not null,
  ny int not null,
  ndigits int not null,
  level int not null,
  symmetrical int not null,
  lastused datetime,
  problem text,
  solution text,
  primary key(serial),
  key(inserted),
  key(nx,ny),
  key(ndigits),
  key(level),
  key(symmetrical),
  key(lastused)
);

